* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
body {
    background:#aaa;
}
p, a, h4, h5 {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-weight: 900;
    font-size: 1em;
    margin: 0;
    text-align: center;
    color: #333;
    user-select: none;
}
.rouge {
    color: #fff;
    background-color: rgb(197, 21, 21);
}
.orange {
    color: #fff;
    background-color: rgb(214, 137, 20);
}
.vert {
    color: #fff;
    background-color: #4E9B5F;
}
.bleu {
    color: #fff;
    background-color: rgb(5, 88, 196);
}
.blanc {
    color: #333;
    background-color: #fff;
}
.HC {
    color: rgb(5, 88, 196);
    background-color: rgb(32, 176, 243);
}
.HP {
    color:rgb(104, 209, 228);
    background-color: rgb(5, 88, 196);
}
.defo {
    color: #333;
    background-color: #999;
}
.visible {
    visibility: visible;
}
.hidden {
    visibility: hidden;
}
/* ------------------------------------------- */
/*          # H E A D E R                      */
/* ------------------------------------------- */

#header {
    position: absolute;
    background: hsl(0, 0%, 20%);
    width: 100%;
    height: 60px;
    z-index: 20;
    color:rgb(163, 188, 238);
}

/* ------------------------------------------- */
/*         N A V B A R                         */
/* ------------------------------------------- */

.navContainer {
    position: relative;
    height: 60px;
}
.topnav {
    position: relative;
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
}
.topnav-content {
    display: block;
    position: absolute;
    overflow: hidden;
    background-color: #666;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.2);
    top: 48px;
    left: 0px;
    width: 200px;
    height: auto;
    margin: 0;
    padding: 0;
    z-index: 19;
    max-height: 0;
    animation-duration: .3s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    animation-direction: normal;
}
.topnav.open .topnav-content {
    animation-name: openNav;
}
.topnav.close .topnav-content {
    animation-name: closeNav;
}
.topnav .topnav-content a {
    display: block;
    position: relative;
    text-align: left;
    height: 50px;
    color: rgb(163, 188, 238);
    background: #666;
    padding: 12px 20px;
    text-decoration: none;
}
.topnav .topnav-content a:hover {
    background-color: hsl(0, 0%, 20%);
    color: white;
}

@keyframes openNav {
    0%      { max-height: 0 }
    1%      { border-top: 4px solid rgb(163, 188, 238); max-height: 0 }
    100%    { border-top: 4px solid rgb(163, 188, 238); max-height: 150px }
}
@keyframes closeNav {
    0%      { border-top: 4px solid rgb(163, 188, 238); max-height: 150px }
    99%     { border-top: 4px solid rgb(163, 188, 238); max-height: 0 }
    100%    { max-height: 0 }
}

/* ------------------------------------------- */
/*          # C O N T E N T                    */
/* ------------------------------------------- */

#content {
    position: absolute;
    top: 60px;
    width: 100%;
    height: 500px;
}
div.vue {
    position: absolute;
    visibility: hidden;
    bottom: 0;
    width: 260px;
    height: 500px;
    left: 50%;
    margin-left: -130px;
}

/* ------------------------------------------- */
/*          V U E  1 (PUISS)                   */
/* ------------------------------------------- */

p.tarif.label {
    width: 48%;
    background: #bbb;
    padding: 2px 15px 0px;
}
p.tarif.data {
    width: 52%;
    padding: 2px 15px 2px 15px;
}
p.markerH {
    visibility: hidden;
    width: 10px;
    margin-right: -10px;
    padding: 2px 0;
}
p.index.label {
    width: 48%;
    padding: 2px 10px;
}
p.index.data {
    width: 52%;
    background: #bbb;
    padding: 2px 5px 2px 15px;
}
p.label.puiss {
    color: #333;
}
p.jauge {
    position: relative;
    left: 50%; 
    color: #333; 
}
p.jauge.currentValue {
    font-size: .8em;
    top: 27%; 
    width:50%; 
    margin-left:-25%; 
}
p.jauge.currentValue.large {
    font-size: 2em;
}
p.jauge.maxValue {
    font-size: .6em;
    top: 23%; 
    width:80%; 
    margin-left:-40%; 
}
p.jauge.maxValue.large {
    font-size: 1em;
    top: 20%;
}

/* ------------------------------------------- */
/*          V U E  2 (TEMP)                    */
/* ------------------------------------------- */

div.therm {
    position: absolute;
    left: 50%;
    text-align: left; 
}
div.therm.vertical {
    bottom: 75px;
    width: 50px;
}
div.therm.vertical.left {
    margin-left: -190px;
}
div.therm.horizontal {
    bottom: 45px;
    height:50px;
}
div.therm.vertical.right {
    margin-left: 120px;
}
div.therm.tube {
    top:0;
    left:0;
    overflow:hidden;
    background: #bbb;
}
div.therm.tube.vertical {
    width:20px; 
}
div.therm.tube.horizontal {
    top: 30px;
    height:20px; 
}
div.therm.nivo.vertical {
    width:100%;
    left: 0;
}
div.therm.nivo.horizontal {
    height:20px;
    left: 0;
    top: 0;
}
div.therm.min.vertical {
    width:100%;
    left: 0;
}
div.therm.min.horizontal {
    height:20px;
}
div.therm.max.vertical {
    width:100%;
    left: 0;
    opacity: .35;
}
div.therm.max.horizontal {
    height:20px;
    opacity: .35;
}
p.therm.value {
    position: absolute;
    margin-top: -10px;
    font-size: .8em;
}
p.therm.value.left {
    text-align: left;
    left: 23px;
}
p.therm.value.right {
    width: 80px;
    text-align: right;
    right: 53px;
}
p.therm.value.middle {
    font-size: 1em;
    width: 60px;
    left: -18px;
}
p.therm.value.top {
    width: 50px;
    top: 23px;
    margin-left: -25px;
}
p.therm.value.bottom {
    width: 50px;
    top: 60px;
    margin-left: -25px;
}
p.therm.onoff.bottom {
    position: relative;
    font-size: .9em;
    top: 30px;
}
p.therm.name {
    position: absolute;
    top: -32px;
    left: -15px;
    width: 50px;
    font-size: .9em;
    line-height: 1em;
}
p.therm.name.bottom {
    font-size: .8em;
    top: 15px;
    left: 0;
    width: 100%;
}

/* ------------------------------------------- */
/*          V U E  3 (CONSO)                   */
/* ------------------------------------------- */

div.consogroup {
    position: absolute;
    bottom : 150px;
    width: 50%;
    left: 25%;
}

div.conso {
    position: absolute;
    width: 100%;
    bottom: 0;
    height: 0;
}
p.conso {
    position: absolute;
    width: 100%;
    font-size : .7em;
}
p.conso.total {
    color: rgb(5, 88, 196);
    font-size: 1em;
}
p.euroBox {
    position: relative;
    top: 0;
    left : 50%;
    font-size: 2em;
    color:rgb(235, 220, 14);
    width: 220px;
    margin-left: -110px;
}

/* ------------------------------------------- */
/*          compatarif (POPUP)                  */
/* ------------------------------------------- */

div.tarifs {
    width: 220px;
    margin: 0 0 6px 10px;
}
p.tarifs.label {
    text-align: left;
    font-size: 1em;
    color: #555;
    padding : 2px 0 0 0;
}
p.tarifs {
    font-size: 1.4em;
    line-height: 1em;
}
p.tarifs.small {
    font-size: .8em;
}
p.tarifs.euro {
    text-align: right;;
    color: rgb(214, 137, 20);
    padding: 2px 0 0 0;
}
div.tarifs.color {
    margin: 0 5px;
    border: #333 solid 1px;
}
div.tarifs.color.soft {
    opacity: .3;
}
p.tarifs.color {
    height: 18px;
    font-size: .8em;
    padding: 4px 0 0 0;
}
p.tarifs.gain {
    background-color: #fff;
    font-size: 1.2em;
    padding: 2px 1px 1px;
}
p.tarifs.gain.positif {
    color: rgb(33, 221, 33);
}
p.tarifs.gain.nul {
    color:rgb(238, 151, 20);
}
p.tarifs.gain.negatif {
    color: rgb(231, 28, 28);
}

/* ------------------------------------------- */
/*          tarifs (POPUP)                  */
/* ------------------------------------------- */

#tarifs-details h5 {
    font-size: .8em;
    margin: 15px 0 0 0;
}
#tarifs-details table {
    width:90%;
    margin: 0 5%;
    font-size: 0.7em;
    font-weight: 500;
}
#tarifs-details th {
    padding: 0 0 0 10px;
}
#tarifs-details td {
    padding-left: 5px;
}
#tarifs-details tr {
    border-bottom: 1px solid black;
}
#tarifs-details tr.even {
    background: #eee;
}
#tarifs-details tr.odd {
    background: #ddd;
}

    
/* ------------------------------------------- */
/*          U I                          */
/* ------------------------------------------- */

#UI {
    position: absolute;
    bottom: 10px;
    max-width: 415px;
}
#UI_jauge {
    width: 200px;
    height: 10px;
    margin: 15px auto 15px;
    background: #999;
    overflow: hidden;
    border-radius: 5px;
}
#UI_jauge div {
    position: relative;
    width: 0;
    height: 100%;
    background: #80e93a;
}
button.domos {
    font-size: .8em !important;
    background: #bbb;
    margin: 3px 0 0 0;
    padding: 8px 0 !important;
    border: solid 1px #666;
    border-radius: 5px;
}
button.domos.phase {
    width: 60px;
    height: 25px;
    margin: 0 8px !important;
    padding: 0 3px 2px !important;
}
button.domos.tarifs {
    width: 120px;
    height: 28px;
    margin: 0 8px !important;
    padding: 0 3px 2px !important;
}
button.red {
    background: red;
}
button.orange {
    background: darkorange;
}
button.green {
    background:lawngreen;
}
button.disabled {
    background:#aaa;
}
button.selected {
    background:#0f0;
}
#UI_prev, #UI_next {
    z-index: 5;
}
div.dateBox {
    position: relative;
    top:3px;
    height: 57px;
    background: #666;
}
p.dateBox {
    position: relative;
    top: 25%;
    width: 100%;
    height: 55px;
    font-size: 1.1em;
    line-height: 1.4em;
    color: rgb(163, 188, 238);
}

/* ------------------------------------------- */
/*         M E S S A G E                         */
/* ------------------------------------------- */

#messages {
    position: absolute;
    top: 0;
    width: 100%;
}
div.message {
    position: absolute;
    top: 60px;
    transition-duration: 500ms;
    transition-timing-function: ease-out;
    width: 100%;
    padding: 20px 10px;
    min-height: 60px;
    max-height: 500px;
    overflow: auto;
}
#message1 {
    z-index: 9;
}
#message2 {
    z-index: 10;
}
div.message p {
    color: white;
    line-height: 1.4em;
}
div.message.blanc p {
    color: #333;
}
div.message.hide {
    transform: translateY(-110%);
}
button.domos.alert {
    position :absolute;
    bottom : 10px;
    right: 10px;
    padding: 2px 15px !important;
    font-weight: 900;
}

/* ------------------------------------------- */
/*         P O P U P                         */
/* ------------------------------------------- */

div.popup {
    position: absolute;
    top: 50px;
    left: 50%;
    z-index: 8;
    transition-duration: 500ms;
    transition-timing-function: ease-out;
    width: 260px;
    min-height: 280px;
    max-height: 330px;
    margin: 0 0 0 -140px;
    padding: 10px;
}
div.popup-content {
    position: relative;
    width: 260px;
    height: 280px;
    text-align: left;
}
div.popup-bg-white {
    position: absolute;
    width: 260px;
    height: 280px;
    background:rgba(255, 255, 255, 1);
    border-radius: 0 0 10px 10px;
    padding: 10px;
}
div.popup-th {
    position: relative;
    bottom: -40px;
    margin-left: 60px;
}
div.popup.hide {
    transform: translateY(-110%);
}
